Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.configuration
Interface ConfigurationNameMapper

All Known Implementing Classes:
  DefaultConfigurationNameMapper

    public interface ConfigurationNameMapper

A service that maps the names of configuration objects to the resource names.

Method Summary
`java.lang.String` | `configurationLocation(java.lang.Class<? extends ConfigurationNode> type, java.lang.String nodeName)` Returns the name of a configuration resource based on a naming convention for a given node type.
`java.lang.String` | `configurationLocation(ConfigurationNode node)` Returns the name of a configuration resource based on a naming convention for a given node type.
`java.lang.String` | `configurationNodeName(java.lang.Class<? extends ConfigurationNode> type, Resource resource)` Returns a node name for a given configuration type and a configuration resource.

Method Detail

### configurationLocation

    java.lang.String configurationLocation(ConfigurationNode node)

  Returns the name of a configuration resource based on a naming convention for a given node type.

### configurationLocation

    java.lang.String configurationLocation(java.lang.Class<? extends ConfigurationNode> type,
                                           java.lang.String nodeName)

  Returns the name of a configuration resource based on a naming convention for a given node type.

### configurationNodeName

    java.lang.String configurationNodeName(java.lang.Class<? extends ConfigurationNode> type,
                                           Resource resource)

  Returns a node name for a given configuration type and a configuration resource. This operation is the opposite of the `configurationLocation(Class, String)` . May return null if the resource name is not following the expected naming format.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.